package ink.wgink.login.app.pojo.pos.appdeviceuser;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AppDeviceUserPO
 * @Description: app设备用户
 * @Author: wanggeng
 * @Date: 2021/4/7 4:34 下午
 * @Version: 1.0
 */
public class AppDeviceUserPO implements Serializable {

    private static final long serialVersionUID = -3532724359534273591L;
    private String userId;
    private String deviceNo;

    public String getUserId() {
        return userId == null ? "" : userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getDeviceNo() {
        return deviceNo == null ? "" : deviceNo;
    }

    public void setDeviceNo(String deviceNo) {
        this.deviceNo = deviceNo;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"userId\":\"")
                .append(userId).append('\"');
        sb.append(",\"deviceNo\":\"")
                .append(deviceNo).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
